<?php
$tdatacat_paises = array();
$tdatacat_paises[".searchableFields"] = array();
$tdatacat_paises[".ShortName"] = "cat_paises";
$tdatacat_paises[".OwnerID"] = "";
$tdatacat_paises[".OriginalTable"] = "cat_paises";


$tdatacat_paises[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacat_paises[".originalPagesByType"] = $tdatacat_paises[".pagesByType"];
$tdatacat_paises[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacat_paises[".originalPages"] = $tdatacat_paises[".pages"];
$tdatacat_paises[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacat_paises[".originalDefaultPages"] = $tdatacat_paises[".defaultPages"];

//	field labels
$fieldLabelscat_paises = array();
$fieldToolTipscat_paises = array();
$pageTitlescat_paises = array();
$placeHolderscat_paises = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscat_paises["Spanish"] = array();
	$fieldToolTipscat_paises["Spanish"] = array();
	$placeHolderscat_paises["Spanish"] = array();
	$pageTitlescat_paises["Spanish"] = array();
	$fieldLabelscat_paises["Spanish"]["id"] = "Id";
	$fieldToolTipscat_paises["Spanish"]["id"] = "";
	$placeHolderscat_paises["Spanish"]["id"] = "";
	$fieldLabelscat_paises["Spanish"]["pais"] = "País";
	$fieldToolTipscat_paises["Spanish"]["pais"] = "";
	$placeHolderscat_paises["Spanish"]["pais"] = "";
	$fieldLabelscat_paises["Spanish"]["abreviacion"] = "Abreviacion";
	$fieldToolTipscat_paises["Spanish"]["abreviacion"] = "";
	$placeHolderscat_paises["Spanish"]["abreviacion"] = "";
	if (count($fieldToolTipscat_paises["Spanish"]))
		$tdatacat_paises[".isUseToolTips"] = true;
}


	$tdatacat_paises[".NCSearch"] = true;



$tdatacat_paises[".shortTableName"] = "cat_paises";
$tdatacat_paises[".nSecOptions"] = 0;

$tdatacat_paises[".mainTableOwnerID"] = "";
$tdatacat_paises[".entityType"] = 0;
$tdatacat_paises[".connId"] = "omega2_at_localhost";


$tdatacat_paises[".strOriginalTableName"] = "cat_paises";

	



$tdatacat_paises[".showAddInPopup"] = false;

$tdatacat_paises[".showEditInPopup"] = false;

$tdatacat_paises[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacat_paises[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacat_paises[".listAjax"] = false;
//	temporary
$tdatacat_paises[".listAjax"] = false;

	$tdatacat_paises[".audit"] = false;

	$tdatacat_paises[".locking"] = false;


$pages = $tdatacat_paises[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacat_paises[".edit"] = true;
	$tdatacat_paises[".afterEditAction"] = 0;
	$tdatacat_paises[".closePopupAfterEdit"] = 1;
	$tdatacat_paises[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacat_paises[".add"] = true;
$tdatacat_paises[".afterAddAction"] = 1;
$tdatacat_paises[".closePopupAfterAdd"] = 1;
$tdatacat_paises[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacat_paises[".list"] = true;
}



$tdatacat_paises[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacat_paises[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacat_paises[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacat_paises[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacat_paises[".printFriendly"] = true;
}



$tdatacat_paises[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacat_paises[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacat_paises[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacat_paises[".isUseAjaxSuggest"] = true;

$tdatacat_paises[".rowHighlite"] = true;





$tdatacat_paises[".ajaxCodeSnippetAdded"] = false;

$tdatacat_paises[".buttonsAdded"] = false;

$tdatacat_paises[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacat_paises[".isUseTimeForSearch"] = false;


$tdatacat_paises[".badgeColor"] = "3CB371";


$tdatacat_paises[".allSearchFields"] = array();
$tdatacat_paises[".filterFields"] = array();
$tdatacat_paises[".requiredSearchFields"] = array();

$tdatacat_paises[".googleLikeFields"] = array();
$tdatacat_paises[".googleLikeFields"][] = "id";
$tdatacat_paises[".googleLikeFields"][] = "pais";
$tdatacat_paises[".googleLikeFields"][] = "abreviacion";



$tdatacat_paises[".tableType"] = "list";

$tdatacat_paises[".printerPageOrientation"] = 0;
$tdatacat_paises[".nPrinterPageScale"] = 100;

$tdatacat_paises[".nPrinterSplitRecords"] = 40;

$tdatacat_paises[".geocodingEnabled"] = false;










$tdatacat_paises[".pageSize"] = 20;

$tdatacat_paises[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacat_paises[".strOrderBy"] = $tstrOrderBy;

$tdatacat_paises[".orderindexes"] = array();


$tdatacat_paises[".sqlHead"] = "SELECT id,  	pais,  	abreviacion";
$tdatacat_paises[".sqlFrom"] = "FROM cat_paises";
$tdatacat_paises[".sqlWhereExpr"] = "";
$tdatacat_paises[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacat_paises[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacat_paises[".arrGroupsPerPage"] = $arrGPP;

$tdatacat_paises[".highlightSearchResults"] = true;

$tableKeyscat_paises = array();
$tableKeyscat_paises[] = "id";
$tdatacat_paises[".Keys"] = $tableKeyscat_paises;


$tdatacat_paises[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "cat_paises";
	$fdata["Label"] = GetFieldLabel("cat_paises","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_paises["id"] = $fdata;
		$tdatacat_paises[".searchableFields"][] = "id";
//	pais
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "pais";
	$fdata["GoodName"] = "pais";
	$fdata["ownerTable"] = "cat_paises";
	$fdata["Label"] = GetFieldLabel("cat_paises","pais");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "pais";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pais";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=60";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_paises["pais"] = $fdata;
		$tdatacat_paises[".searchableFields"][] = "pais";
//	abreviacion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "abreviacion";
	$fdata["GoodName"] = "abreviacion";
	$fdata["ownerTable"] = "cat_paises";
	$fdata["Label"] = GetFieldLabel("cat_paises","abreviacion");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "abreviacion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "abreviacion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=3";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_paises["abreviacion"] = $fdata;
		$tdatacat_paises[".searchableFields"][] = "abreviacion";


$tables_data["cat_paises"]=&$tdatacat_paises;
$field_labels["cat_paises"] = &$fieldLabelscat_paises;
$fieldToolTips["cat_paises"] = &$fieldToolTipscat_paises;
$placeHolders["cat_paises"] = &$placeHolderscat_paises;
$page_titles["cat_paises"] = &$pageTitlescat_paises;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cat_paises"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["cat_paises"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_cat_paises()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	pais,  	abreviacion";
$proto0["m_strFrom"] = "FROM cat_paises";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "cat_paises",
	"m_srcTableName" => "cat_paises"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "cat_paises";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "pais",
	"m_strTable" => "cat_paises",
	"m_srcTableName" => "cat_paises"
));

$proto8["m_sql"] = "pais";
$proto8["m_srcTableName"] = "cat_paises";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "abreviacion",
	"m_strTable" => "cat_paises",
	"m_srcTableName" => "cat_paises"
));

$proto10["m_sql"] = "abreviacion";
$proto10["m_srcTableName"] = "cat_paises";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "cat_paises";
$proto13["m_srcTableName"] = "cat_paises";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "id";
$proto13["m_columns"][] = "pais";
$proto13["m_columns"][] = "abreviacion";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "cat_paises";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "cat_paises";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="cat_paises";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cat_paises = createSqlQuery_cat_paises();


	
		;

			

$tdatacat_paises[".sqlquery"] = $queryData_cat_paises;



$tableEvents["cat_paises"] = new eventsBase;
$tdatacat_paises[".hasEvents"] = false;

?>